package com.bull.cimero.pluginEditor.editors.figure.SEFigure;

import java.io.File;

/**
 * The splitter Figure Class.
 * This class is the representation of the splitter Model in Eclipse.
 * @author Cedric MOUILLERON
 * @author Pierre NOTEL
 * @author Andrea Zoppello (andrea.zoppello@eng.it)
 */
public class SplitterFigure extends SECimeroFigure {

	/** The image path. */
	private static final String IMAGEPATH
			= "icons" + File.separator + "splitter.gif";
	/** The image error path. */
	private static final String IMAGEPATHERROR
			= "icons" + File.separator + "splitter_error.gif";
	/** The icon of the serveur. */
	private static final String PATHTOICON =
		"icons" + File.separator + "ico_splitter.jpg";

	/**
	 * default constructor.
	 */
	public SplitterFigure() {
		super(IMAGEPATH, IMAGEPATHERROR, PATHTOICON);
	}

}
