package it.eng.utils;


public interface ILogger {
	
	
	
	
	/**
	 * To send an info log message.
	 * @param msg : the message
	 */
	public void info(final String msg);

	/**
	 * To send an error log message.
	 * @param msg : the message
	 * @param exception : the exception
	 */
	public void error(
			final String msg, final Throwable exception);
	/**
	 * To send a warning log message.
	 * @param msg  :the message
	 */
	public void warning(final String msg); 

	/**
	 * To send a warning log message with an exception.
	 * @param msg  :the message
	 * @param exception : the exception
	 */
	public void warning(final String msg, final Throwable exception);
		

	

    

	
}
