package com.bull.cimero.perspective;

import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;
/**
* @author Andrea Zoppello (andrea.zoppello@eng.it)
*/
public class CimeroPerspectiveFactory implements IPerspectiveFactory {

	public void createInitialLayout(IPageLayout layout) {
		
		layout.addView("com.bull.cimero.views.CimeroTreeView", IPageLayout.LEFT, 0.25f, layout.getEditorArea());
		layout.addView("com.bull.cimero.views.CimeroTableView", IPageLayout.RIGHT, 0.50f, layout.getEditorArea());
		layout.addView("com.bull.cimero.views.CimeroPropertiesView", IPageLayout.BOTTOM, 0.66f, layout.getEditorArea());
		layout.setEditorAreaVisible(false);
		

	}

}
