package com.bull.cimero.pluginEditor.editors.figure.SEFigure;

import java.io.File;

/**
 * The aggregator Figure Class.
 * This class is the representation of the aggregator Model in Eclipse.
 * @author Cedric MOUILLERON
 * @author Pierre NOTEL
 * @author Andrea Zoppello (andrea.zoppello@eng.it)
 */
public class AggregatorFigure extends SECimeroFigure {

	/** The image path. */
	private static final String IMAGEPATH
			= "icons" + File.separator + "aggregator.gif";
	/** The image error path. */
	private static final String IMAGEPATHERROR
			= "icons" + File.separator + "aggregator_error.gif";
	/** The icon of the serveur. */
	private static final String PATHTOICON =
		"icons" + File.separator + "ico_aggregator.jpg";

	/**
	 * default constructor.
	 */
	public AggregatorFigure() {
		super(IMAGEPATH, IMAGEPATHERROR, PATHTOICON);
	}

}
