package it.eng.utils;

import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.swt.widgets.Shell;

public class DialogUtils {
	
	public static String MESSAGE_DIALOG_TITLE = "Spagic Studio";
	
	public static void information(Shell shell, String message){
		MessageDialog.openInformation(
				shell,
				MESSAGE_DIALOG_TITLE,
				message);
	}
	public static void error(Shell shell, String message){
		MessageDialog.openError(
				shell,
				MESSAGE_DIALOG_TITLE,
				message);
	}
	
	public static boolean confirm(Shell shell, String message){
		return MessageDialog.openConfirm(
				shell,
				MESSAGE_DIALOG_TITLE,
				message);
	}
	public static void warning(Shell shell, String message){
		MessageDialog.openWarning(
			shell,
			MESSAGE_DIALOG_TITLE,
			message);
	}
}
